Bug 468191 - Missing dependencies in OCS package
Missing dependencies in OCS package
Status: CLOSED NOTABUG
Product: Red Hat HPC Solution
Classification: Red Hat
Component: ocs (Show other bugs)
5.2
All Linux
medium Severity urgent
: ---
: ---
Assigned To: OCS Support
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 10:44 EDT by Rafael Garabato
Modified: 2008-11-10 10:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-10 10:11:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Garabato 2008-10-23 10:44:18 EDT
Description of problem:
The ocs yum package is not installing due to dependency issues.

Version-Release number of selected component (if applicable):
ocs.noarch                               5.1-4                  rhel-x86_64-ser

How reproducible:
Always

Steps to Reproduce:
1.Install a Red Hat 5.2
2.yum -y install ocs
3.
  
Actual results:
[root@rhhpcshoff ~]# yum -y install ocs
Loading "security" plugin
Loading "rhnplugin" plugin
rhel-x86_64-server-hpc-5- 100% |=========================| 1.2 kB    00:00
rhel-x86_64-server-supple 100% |=========================| 1.4 kB    00:00
rhel-x86_64-server-5      100% |=========================| 1.4 kB    00:00
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package ocs.noarch 0:5.1-4 set to be updated
--> Processing Dependency: component-base-installer for package: ocs
--> Processing Dependency: yum-utils for package: ocs
--> Running transaction check
---> Package component-base-installer.noarch 0:5.1-4 set to be updated
--> Processing Dependency: python-IPy for package: component-base-installer
--> Processing Dependency: pdsh-rcmd-rsh for package: component-base-installer
--> Processing Dependency: kusu-util for package: component-base-installer
--> Processing Dependency: kusu-ui for package: component-base-installer
--> Processing Dependency: kusu-path for package: component-base-installer
--> Processing Dependency: pdsh-rcmd-exec for package: component-base-installer
--> Processing Dependency: pdsh-mod-netgroup for package: component-base-installer
--> Processing Dependency: kusu-networktool for package: component-base-installer
--> Processing Dependency: kusu-buildkit for package: component-base-installer
--> Processing Dependency: kusu-base-installer for package: component-base-installer
--> Processing Dependency: python-sqlalchemy for package: component-base-installer
--> Processing Dependency: pdsh for package: component-base-installer
--> Processing Dependency: kusu-nodeinstaller for package: component-base-installer
--> Processing Dependency: initrd-templates for package: component-base-installer
--> Processing Dependency: kusu-kitops for package: component-base-installer
--> Processing Dependency: pdsh-rcmd-ssh for package: component-base-installer
--> Processing Dependency: kusu-partitiontool for package: component-base-installer
--> Processing Dependency: kusu-boot for package: component-base-installer
--> Processing Dependency: kusu-base-node for package: component-base-installer
--> Processing Dependency: pdsh-mod-machines for package: component-base-installer
--> Processing Dependency: component-gnome-desktop for package: component-base-installer
--> Processing Dependency: kusu-repoman for package: component-base-installer
--> Processing Dependency: kusu-core for package: component-base-installer
--> Processing Dependency: kusu-hardware for package: component-base-installer
--> Processing Dependency: environment-modules for package: component-base-installer
--> Processing Dependency: kusu-nodeinstaller-patchfiles for package: component-base-installer
--> Processing Dependency: kusu-driverpatch for package: component-base-installer
--> Processing Dependency: python-sqlite2 for package: component-base-installer
--> Processing Dependency: MySQL-python for package: component-base-installer
--> Processing Dependency: createrepo for package: component-base-installer
--> Processing Dependency: python-cheetah for package: component-base-installer
--> Processing Dependency: pyparted for package: component-base-installer
--> Processing Dependency: dhcp for package: component-base-installer
--> Processing Dependency: caching-nameserver for package: component-base-installer
--> Processing Dependency: httpd for package: component-base-installer
--> Processing Dependency: mysql-server for package: component-base-installer
--> Processing Dependency: mysql for package: component-base-installer
--> Processing Dependency: bind for package: component-base-installer
---> Package yum-utils.noarch 0:1.1.10-9.el5 set to be updated
--> Running transaction check
---> Package mysql-server.x86_64 0:5.0.45-7.el5 set to be updated
--> Processing Dependency: perl-DBD-MySQL for package: mysql-server
--> Processing Dependency: perl(DBI) for package: mysql-server
--> Processing Dependency: perl-DBI for package: mysql-server
---> Package MySQL-python.x86_64 0:1.2.1-1 set to be updated
--> Processing Dependency: mx for package: MySQL-python
---> Package dhcp.x86_64 12:3.0.5-13.el5 set to be updated
---> Package kusu-driverpatch.noarch 0:5.1-9 set to be updated
---> Package caching-nameserver.x86_64 30:9.3.4-6.0.2.P1.el5_2 set to be updated
---> Package kusu-nodeinstaller.noarch 0:5.1-7 set to be updated
---> Package kusu-boot.noarch 0:5.1-1 set to be updated
---> Package createrepo.noarch 0:0.4.11-3.el5 set to be updated
---> Package mysql.x86_64 0:5.0.45-7.el5 set to be updated
---> Package kusu-partitiontool.noarch 0:5.1-3 set to be updated
---> Package initrd-templates.noarch 0:5.1-7 set to be updated
---> Package component-base-installer.noarch 0:5.1-4 set to be updated
--> Processing Dependency: pdsh-rcmd-rsh for package: component-base-installer
--> Processing Dependency: pdsh-rcmd-exec for package: component-base-installer
--> Processing Dependency: pdsh-mod-netgroup for package: component-base-installer
--> Processing Dependency: python-sqlalchemy for package: component-base-installer
--> Processing Dependency: pdsh for package: component-base-installer
--> Processing Dependency: pdsh-rcmd-ssh for package: component-base-installer
--> Processing Dependency: pdsh-mod-machines for package: component-base-installer
--> Processing Dependency: python-sqlite2 for package: component-base-installer
--> Processing Dependency: python-cheetah for package: component-base-installer
---> Package pyparted.x86_64 0:1.8.1-4.el5 set to be updated
---> Package python-IPy.noarch 0:0.53-2.el5 set to be updated
---> Package kusu-kitops.noarch 0:5.1-5 set to be updated
---> Package kusu-base-installer.noarch 0:5.1-27 set to be updated
---> Package kusu-networktool.noarch 0:5.1-1 set to be updated
---> Package kusu-util.noarch 0:5.1-6 set to be updated
---> Package kusu-nodeinstaller-patchfiles.noarch 0:5.1-7 set to be updated
---> Package kusu-base-node.x86_64 0:5.1-17 set to be updated
---> Package kusu-buildkit.noarch 0:5.1-4 set to be updated
---> Package kusu-ui.noarch 0:5.1-2 set to be updated
---> Package kusu-core.noarch 0:5.1-9 set to be updated
---> Package component-gnome-desktop.noarch 0:5.1-1 set to be updated
---> Package environment-modules.x86_64 0:3.2.5-1.el5 set to be updated
---> Package kusu-repoman.noarch 0:5.1-6 set to be updated
---> Package bind.x86_64 30:9.3.4-6.0.2.P1.el5_2 set to be updated
--> Processing Dependency: bind-libs = 30:9.3.4-6.0.2.P1.el5_2 for package: bind
---> Package kusu-hardware.noarch 0:5.1-1 set to be updated
---> Package httpd.x86_64 0:2.2.3-11.el5_1.3 set to be updated
---> Package kusu-path.noarch 0:5.1-1 set to be updated
--> Running transaction check
---> Package perl-DBD-MySQL.x86_64 0:3.0007-1.fc6 set to be updated
---> Package bind-libs.x86_64 30:9.3.4-6.0.2.P1.el5_2 set to be updated
---> Package mx.x86_64 0:2.0.6-2.2.2 set to be updated
---> Package component-base-installer.noarch 0:5.1-4 set to be updated
--> Processing Dependency: pdsh-rcmd-rsh for package: component-base-installer
--> Processing Dependency: pdsh-rcmd-exec for package: component-base-installer
--> Processing Dependency: pdsh-mod-netgroup for package: component-base-installer
--> Processing Dependency: python-sqlalchemy for package: component-base-installer
--> Processing Dependency: pdsh for package: component-base-installer
--> Processing Dependency: pdsh-rcmd-ssh for package: component-base-installer
--> Processing Dependency: pdsh-mod-machines for package: component-base-installer
--> Processing Dependency: python-sqlite2 for package: component-base-installer
--> Processing Dependency: python-cheetah for package: component-base-installer
--> Processing Dependency: bind-libs = 30:9.3.4-6.P1.el5 for package: bind-utils
---> Package perl-DBI.x86_64 0:1.52-1.fc6 set to be updated
--> Running transaction check
---> Package component-base-installer.noarch 0:5.1-4 set to be updated
--> Processing Dependency: pdsh-rcmd-rsh for package: component-base-installer
--> Processing Dependency: pdsh-rcmd-exec for package: component-base-installer
--> Processing Dependency: pdsh-mod-netgroup for package: component-base-installer
--> Processing Dependency: python-sqlalchemy for package: component-base-installer
--> Processing Dependency: pdsh for package: component-base-installer
--> Processing Dependency: pdsh-rcmd-ssh for package: component-base-installer
--> Processing Dependency: pdsh-mod-machines for package: component-base-installer
--> Processing Dependency: python-sqlite2 for package: component-base-installer
--> Processing Dependency: python-cheetah for package: component-base-installer
---> Package bind-utils.x86_64 30:9.3.4-6.0.2.P1.el5_2 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: pdsh-rcmd-rsh is needed by package component-base-installer
Error: Missing Dependency: python-sqlite2 is needed by package component-base-installer
Error: Missing Dependency: pdsh-mod-netgroup is needed by package component-base-installer
Error: Missing Dependency: pdsh-rcmd-ssh is needed by package component-base-installer
Error: Missing Dependency: pdsh-rcmd-exec is needed by package component-base-installer
Error: Missing Dependency: pdsh-mod-machines is needed by package component-base-installer
Error: Missing Dependency: python-sqlalchemy is needed by package component-base-installer
Error: Missing Dependency: pdsh is needed by package component-base-installer
Error: Missing Dependency: python-cheetah is needed by package component-base-installer


Expected results:
Installation succeeds

Additional info:
Comment 1 OCS Support 2008-10-24 15:47:13 EDT
The packages appear to be in the channel, so it should be able to retrieve them.

Are you installing on an already installed machine.  It says some packages are being updated?
Comment 2 Rafael Garabato 2008-10-24 15:54:58 EDT
No, it is a fresh install.

The logs I added were after doing several "yum -y install ocs" and a "yum clean all" in the middle.
Comment 3 Rafael Garabato 2008-10-24 16:13:25 EDT
I tried again and it is still not working for me.
Comment 4 Rafael Garabato 2008-10-28 12:06:18 EDT
Today I did a fresh install and the problem continues.

Is this being analyzed?
Comment 5 Keve Gabbert 2008-10-28 16:38:59 EDT
what is supposed to provide these dependencies?
pdsh-rcmd-rsh 
python-sqlite2 
pdsh-mod-netgroup 
pdsh-rcmd-ssh 
pdsh-rcmd-exec 
pdsh-mod-machines 
python-sqlalchemy 
pdsh 
python-cheetah 

How come this problem didn't come up before?
What has changed?
Comment 6 Phil Knirsch 2008-11-04 06:43:44 EST
I can see the following packages in the current HPC channel:

pdsh-2.14-2.x86_64 	 Parallel remote shell program
pdsh-mod-machines-2.14-2.x86_64 	Pdsh module for gathering list of target nodes from a machines file
pdsh-mod-netgroup-2.14-2.x86_64 	Provides netgroup support for pdsh
pdsh-rcmd-exec-2.14-2.x86_64 	Provides arbitrary command execution "rcmd" method to pdsh
pdsh-rcmd-rsh-2.14-2.x86_64 	Provides bsd rcmd capability to pdsh
pdsh-rcmd-ssh-2.14-2.x86_64 	Provides ssh rcmd capability to pdsh
python-cheetah-2.0.1-1.1.el5.x86_64 	Template engine and code-generator
python-sqlalchemy-0.3.11-1.el5.noarch 	Modular and flexible ORM library for python
python-sqlite2-2.3.3-1.1.el5:1.x86_64 	DB-API 2.0 interface for SQLite 3.x

so they should be pulled in. Could you try to do a

yum search

for each of the packages resp. a

yum install

for each of the names? If those fail manually as well then it seems that for some reason the HPC channel isn't used properly, but as other packages seem to be found those should be as well.

Thanks & regards, Phil
Comment 8 Rafael Garabato 2008-11-04 12:38:09 EST
I have to install all the system again as the equipment was used for other purposes. 

Has someone succeeded installing Red Hat HPC in the last two weeks? I don't think this is a problem that only occurs in my platform.
Comment 9 Dennis Gregorovic 2008-11-05 15:16:55 EST
I just did a "yum -y install ocs" successfully.  Please try again and see if you are still running into the issue.  Thanks.
Comment 10 Daniel Riek 2008-11-10 10:11:25 EST
I can't reproduce the problem either:

[root@sun-v40z-01 ~]# yum -y upgrade
Loading "rhnplugin" plugin
Loading "security" plugin
rhel-x86_64-server-vt-5   100% |=========================| 1.4 kB    00:00
rhel-x86_64-server-hpc-5  100% |=========================| 1.2 kB    00:00
primary.xml.gz            100% |=========================|  45 kB    00:00
rhel-x86_6: ################################################## 193/193
rhel-x86_64-server-5      100% |=========================| 1.4 kB    00:00
Skipping security plugin, no data
Setting up Upgrade Process
No Packages marked for Update
[root@sun-v40z-01 ~]# rpm -qa ocs
[root@sun-v40z-01 ~]# yum -y install ocs
Loading "rhnplugin" plugin
Loading "security" plugin
rhel-x86_64-server-vt-5   100% |=========================| 1.4 kB    00:00
rhel-x86_64-server-hpc-5  100% |=========================| 1.2 kB    00:00
rhel-x86_64-server-5      100% |=========================| 1.4 kB    00:00
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package ocs.noarch 0:5.1-5 set to be updated
--> Processing Dependency: component-base-installer for package: ocs
[...]
 zenity                  x86_64     2.16.0-2.el5     rhel-x86_64-server-5  1.2 M

Transaction Summary
=============================================================================
Install    263 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 201 M
Downloading Packages:
(1/263): xorg-x11-drv-ast 100% |=========================|  24 kB    00:00
[...]
(263/263): system-config- 100% |=========================| 186 kB    00:00
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: pygtk2-libglade              ##################### [  1/263]
[...]
  Installing: system-config-keyboard       ##################### [263/263]

Installed: ocs.noarch 0:5.1-5
Dependency Installed: MySQL-python.x86_64 0:1.2.1-1 
[...]
zenity.x86_64 0:2.16.0-2.el5
Complete!

So this is not a problem in RHN or the packages in the channel.

Closing NOTABUG

Note You need to log in before you can comment on or make changes to this bug.